Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class JPConverter.FromQName

    java.lang.Object
      net.sf.saxon.expr.JPConverter
          net.sf.saxon.expr.JPConverter.FromQName

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JPConverter

    public static class JPConverter.FromQName

extends JPConverter

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.expr.JPConverter
`JPConverter.FromBigDecimal, JPConverter.FromBigInteger, JPConverter.FromBoolean, JPConverter.FromBooleanArray, JPConverter.FromByte, JPConverter.FromByteArray, JPConverter.FromCharacter, JPConverter.FromCharArray, JPConverter.FromCollection, JPConverter.FromDate, JPConverter.FromDouble, JPConverter.FromDoubleArray, JPConverter.FromFloat, JPConverter.FromFloatArray, JPConverter.FromInt, JPConverter.FromIntArray, JPConverter.FromLong, JPConverter.FromLongArray, JPConverter.FromObjectArray, JPConverter.FromQName, JPConverter.FromSequenceIterator, JPConverter.FromShort, JPConverter.FromShortArray, JPConverter.FromSource, JPConverter.FromString, JPConverter.FromURI, JPConverter.FromValueRepresentation, JPConverter.WrapExternalObject`

Field Summary
`static JPConverter.FromQName` | `INSTANCE`

Constructor Summary
`JPConverter.FromQName()`

Method Summary
`ValueRepresentation` | `convert(java.lang.Object object, XPathContext context)` Convert a Java object to an equivalent XPath value
`ItemType` | `getItemType()` Get the item type of the XPath value that will result from the conversion

Methods inherited from class net.sf.saxon.expr.JPConverter
`allocate, compile, getCardinality`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static JPConverter.FromQName INSTANCE

Constructor Detail

### JPConverter.FromQName

    public JPConverter.FromQName()

Method Detail

### convert

    public ValueRepresentation convert(java.lang.Object object,
                                       XPathContext context)
                                throws XPathException

  Description copied from class: `JPConverter`
  Convert a Java object to an equivalent XPath value

  Specified by:
    `convert` in class `JPConverter`
  Parameters:
    `object` - the java object to be converted
    `context` - the XPath dynamic evaluation context
  Returns:
    the XPath value resulting from the conversion
  Throws:
    `XPathException` - if the conversion is not possible or if it fails

### getItemType

    public ItemType getItemType()

  Description copied from class: `JPConverter`
  Get the item type of the XPath value that will result from the conversion

  Specified by:
    `getItemType` in class `JPConverter`
  Returns:
    the XPath item type

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.